Main Page | Modules | Class List | File List | Class Members | File Members

# Callback registration
[Login Service]

Register the callbacks function names. More...

## Functions
GSbool | LoginFix_PlayerInfo (CBLoginRcv_PlayerInfo fPlayerInfo)
| Set the function name for the callback.
GSbool | LoginFix_JoinWaitModuleResult (CBLoginRcv_JoinWaitModuleResult fJoinWaitModuleResult)
| Set the function name for the callback.
GSbool | LoginFix_LoginRouterResult (CBLoginRcv_LoginRouterResult fLoginRouterResult)
| Set the function name for the callback.
GSbool | LoginFix_LoginWaitModuleResult (CBLoginRcv_LoginWaitModuleResult fLoginWaitModuleResult)
| Set the function name for the callback.
GSbool | LoginFix_SystemPage (CBLoginRcv_SystemPage fSystemPage)
| Set the function name for the callback.
GSbool | LoginFix_LoginDisconnection (CBLoginRcv_LoginDisconnection fLoginDisconnection)
| Set the function name for the callback.
GSbool | LoginFix_LoginAccountCreationResult (CBLoginRcv_AccountCreationResult fLoginCreateAccount)
| Set the function name for the callback.
GSbool | LoginFix_ModifyUserResult (CBLoginRcv_ModifyUserResult fLoginModifyUser)
| Set the function name for the callback.
GSbool | LoginFix_RequestMOTD (CBLoginRcv_RequestMOTD fRequestMOTD)
| Set the function name for the callback.

## Detailed Description

Theses functions are used to set the function name for the callbacks of the login service.

## Function Documentation

GSbool LoginFix_JoinWaitModuleResult | ( | CBLoginRcv_JoinWaitModuleResult | fJoinWaitModuleResult | ) |

  | Description: This function is used to set the function name for the callback. Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fJoinWaitModuleResult | Name of a function of type CBLoginRcv_JoinWaitModuleResult

GSbool LoginFix_LoginAccountCreationResult | ( | CBLoginRcv_AccountCreationResult | fLoginCreateAccount | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fLoginCreateAccount | Name of a function of type CBLoginRcv_AccountCreationResult

GSbool LoginFix_LoginDisconnection | ( | CBLoginRcv_LoginDisconnection | fLoginDisconnection | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fLoginDisconnection | Name of a function of type CBLoginRcv_LoginDisconnection

GSbool LoginFix_LoginRouterResult | ( | CBLoginRcv_LoginRouterResult | fLoginRouterResult | ) |

  | Description: This function is used to set the function name for the callback. Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fLoginRouterResult | Name of a function of type CBLoginRcv_LoginRouterResult

GSbool LoginFix_LoginWaitModuleResult | ( | CBLoginRcv_LoginWaitModuleResult | fLoginWaitModuleResult | ) |

  | Description: This function is used to set the function name for the callback. Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fLoginWaitModuleResult | Name of a function of type CBLoginRcv_LoginRouterResult

GSbool LoginFix_ModifyUserResult | ( | CBLoginRcv_ModifyUserResult | fLoginModifyUser | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fLoginModifyUser | Name of a function of type CBLoginRcv_ModifyUserResult

GSbool LoginFix_PlayerInfo | ( | CBLoginRcv_PlayerInfo | fPlayerInfo | ) |

  | Description: This function is used to set the function name for the callback. Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPlayerInfo | Name of a function of type CBLoginRcv_PlayerInfo

GSbool LoginFix_RequestMOTD | ( | CBLoginRcv_RequestMOTD | fRequestMOTD | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fRequestMOTD | Name of a function of type CBLoginRcv_RequestMOTD

GSbool LoginFix_SystemPage | ( | CBLoginRcv_SystemPage | fSystemPage | ) |

  | Description: This function is used to to set the function name for the callback. Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fSystemPage | Name of a function of type CBLoginRcv_SystemPage

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team